## org.hibernate.mapping
Interface Filterable

All Known Implementing Classes:
  Array, Bag, Collection, IdentifierBag, IdentifierCollection, IndexedCollection, JoinedSubclass, List, Map, PersistentClass, PrimitiveArray, RootClass, Set, SingleTableSubclass, Subclass, UnionSubclass

    public interface Filterable

Defines mapping elements to which filters may be applied.

Author:
  Steve Ebersole

Method Summary
`void` `addFilter(String name, String condition)`
`Map` `getFilterMap()`

Method Detail

### addFilter

    void addFilter(String name,
                   String condition)

### getFilterMap

    Map getFilterMap()

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.